<sidenav [orientation]="orientation" class="layout-sidenav sidenav sidenav-vertical bg-sidenav-theme">

    <!-- Brand demo (see src/demo.css) -->
    <!-- <div class="demo-brand" *ngIf="orientation !== 'horizontal'">
      <span >
        <img [src]="logo" style="height: 36px;" class="login-logo" />

      </span>
      <div style="padding-left:5px;">
        <p style="margin-top:0.4rem;margin-bottom:1px; font-weight:bolder;"><a routerLink="/" class="demo-brand-name sidenav-text font-weight-bold ml-2">{{title}}</a></p>
        <a class="pull-right" href="http://hypersonix.ai/" style="color:#ccc;font-size: 8px;">Powered by Hypersonix</a>
      </div> -->

      <!--  <a href="javascript:void(0)" class="layout-sidenav-toggle sidenav-link text-large ml-auto" (click)="toggleSidenav()">
          <i class="ion ion-md-menu align-middle"></i>
        </a>
    </div>-->
    <!-- <div class="sidenav-divider mt-0" *ngIf="orientation !== 'horizontal'"></div> -->

    <!-- Links -->
    <div class="sidenav-inner" [ngClass]="{ 'py-1': orientation !== 'horizontal' }" (click)="toggleSidenav() ">

      <!-- Dashboards -->


      <sidenav-router icon="fa fa-users" route="/adminpanel/user_list" [active]="isActive('/adminpanel/user_list')?'activeMenu':''">Users</sidenav-router>
      <sidenav-router icon="fa fa-street-view" route="/adminpanel/rolelist" [active]="isActive('/adminpanel/rolelist')?'activeMenu':''">Roles</sidenav-router>
      <sidenav-router icon="fa fa-key" route="/adminpanel/keywords" [active]="isActive('/adminpanel/keywords')?'activeMenu':''">Keywords</sidenav-router>
      <sidenav-router icon="fas fa-calculator" route="/adminpanel/calcmeasure" [active]="isActive('/adminpanel/calcmeasure')?'activeMenu':''">Calculated Measure</sidenav-router>
      <sidenav-router icon="fa fa-paint-brush" route="/adminpanel/appearance" [active]="isActive('/adminpanel/appearance')?'activeMenu':''">Theme</sidenav-router>
      <!-- <sidenav-divider class="mb-1"></sidenav-divider>
      <sidenav-header class="small font-weight-semibold">Configurations</sidenav-header>

      <sidenav-router  route="/adminpanel/user_list">Entity</sidenav-router>
      <sidenav-router  route="/adminpanel/user_list">Attributes</sidenav-router>
      <sidenav-router  route="/adminpanel/user_list">Filter</sidenav-router>
      <sidenav-router  route="/adminpanel/user_list">Sort</sidenav-router>

      <sidenav-divider class="mb-1"></sidenav-divider>
      <sidenav-header class="small font-weight-semibold">Organization & Security</sidenav-header>
      <sidenav-router  route="/adminpanel/user_list">New Customer</sidenav-router> -->

      <sidenav-router icon="ion ion-md-home" (click)="goToDefaultPage($event)">Back to Home</sidenav-router>
      <!-- <sidenav-router icon="ion ion-md-settings" route="/settings/settings-home" [active]="isActive('/settings/settings-home')">Settings</sidenav-router> -->


    </div>
  </sidenav>
